## dzl-preferences-switch dzl-preferences-switch |

## Properties

gboolean | is-radio | Read / Write / Construct Only
gchar * | key | Read / Write / Construct Only
gchar * | subtitle | Read / Write
GVariant * | target | Read / Write / Construct Only
gchar * | title | Read / Write

## Signals

void | activated | Run Last

## Types and Values

#define | DZL_TYPE_PREFERENCES_SWITCH
| DzlPreferencesSwitch

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── DzlPreferencesBin
                            ╰── DzlPreferencesSwitch

## Implemented Interfaces

DzlPreferencesSwitch implements AtkImplementorIface and GtkBuildable.

## Description

## Functions

## Types and Values

### DZL_TYPE_PREFERENCES_SWITCH

    #define DZL_TYPE_PREFERENCES_SWITCH (dzl_preferences_switch_get_type())

### DzlPreferencesSwitch

    typedef struct _DzlPreferencesSwitch DzlPreferencesSwitch;

## Property Details

### The `“is-radio”` property

      “is-radio”                 gboolean

If a radio style should be used instead of a switch.

Flags: Read / Write / Construct Only

Default value: FALSE

### The `“key”` property

      “key”                      gchar *

Key.

Flags: Read / Write / Construct Only

Default value: NULL

### The `“subtitle”` property

      “subtitle”                 gchar *

Subtitle.

Flags: Read / Write

Default value: NULL

### The `“target”` property

      “target”                   GVariant *

Target.

Flags: Read / Write / Construct Only

Allowed values: GVariant<*>

Default value: NULL

### The `“title”` property

      “title”                    gchar *

Title.

Flags: Read / Write

Default value: NULL

## Signal Details

### The `“activated”` signal

    void
    user_function (DzlPreferencesSwitch *dzlpreferencesswitch,
                   gpointer              user_data)

Flags: Run Last